=== debian/changelog ===
simgrid (3.8.1-2) unstable; urgency=low

  * upload to unstable, in the hope to get into the next ubuntu
    release. It's too late already for next Debian, but we still can
    make this one.

 -- Martin Quinson <mquinson@debian.org>  Fri, 11 Jan 2013 11:38:30 +0100

simgrid (3.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 26 Oct 2012 23:11:03 +0200
