=== debian/control ===
Source: simgrid
Section: science
Priority: extra
Maintainer: Lucas Nussbaum <lucas@debian.org>
Uploaders: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, liblua5.1-dev, lua5.1, f2c, chrpath, libpcre3-dev
Standards-Version: 3.9.3
Homepage: http://simgrid.gforge.inria.fr/
Vcs-Git: git://git.debian.org/git/collab-maint/simgrid.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/simgrid.git

Package: simgrid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: lua5.1, f2c, gcc, make
Description: Toolkit for scalable simulation of distributed applications
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
